#ifndef  __BSP_ML307R_H__
#define __BSP_ML307R_H__


#include "CH58x_common.h"

/*4G ģ*/
#define ENABLE_3_8_V    GPIO_Pin_3 //PB3

#define USIM_DECT_PIN GPIO_Pin_5    //PB5
#define ML307_PWR_PIN GPIO_Pin_6    //PB6
#define ML307_RST_PIN GPIO_Pin_7    //PB7

#define ML307_UART_TX_PIN   GPIO_Pin_13 //PB13
#define ML307_UART_RX_PIN  GPIO_Pin_12  //PB12

void BSP_Ml307r_Init(void);
void Ml307r_Loop(void);
void BSP_Module_Emergency_Send(uint8_t* data, uint8_t len);
void BSP_ML307_StartTimeoutTimer(void);
void BSP_ML307_SetActive(void);
void BSP_ML307_SendMessage(void);
static void BSP_Read_Module(void);
static void simcom_init(void);
static void BSP_Module_Connect_CtWing(void);
#endif //!@__BSP_ML307R_H__




